# Copyright (c) 2025, UChicago Argonne, LLC
# BSD OPEN SOURCE LICENSE. Full license can be found in LICENSE
# Copyright (c) 2025, UChicago Argonne, LLC
# BSD OPEN SOURCE LICENSE. Full license can be found in LICENSE
from ..traffic import TrafficDiagnostics
from .show_dialog import show_diag


def traffic_diagnostics(proj):
    if not proj.open_mode:
        proj.show_message_no_supply()
        return
    dlg2 = TrafficDiagnostics(proj)
    show_diag(dlg2)
